> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Clone Survey from Theme

> Clone an existing survey from a theme to a specified location



## OpenAPI

````yaml /api-reference/surveys/openapi.json post /surveys/clone-from-theme
openapi: 3.0.0
info:
  title: Surveys API
  description: Documentation for surveys API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Surveys
    description: Documentation for surveys API
paths:
  /surveys/clone-from-theme:
    post:
      tags:
        - Surveys
      summary: Clone Survey from Theme
      description: Clone an existing survey from a theme to a specified location
      operationId: clone-survey-from-theme
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CloneSurveyFromThemeDto'
      responses:
        '200':
          description: Survey successfully cloned from theme
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '404':
          description: Survey or Location not found
      security:
        - bearer: []
components:
  schemas:
    CloneSurveyFromThemeDto:
      type: object
      properties:
        surveyId:
          type: string
          description: The ID of the category survey to clone from
          example: 64abc123def456789012345
        locationId:
          type: string
          description: The location ID where the survey will be created
          example: ve9EPM428h8vShlRW1KT
        name:
          type: string
          description: Custom name for the cloned survey
          example: Test 33
      required:
        - surveyId
        - locationId
        - name
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````